
Infrastructure - Task #3042

Story # 3882 (Closed): Refactor hzNodes out of CN Node Registry

updateNodeCapabilities blocks due to lock on hzNodes

2012-06-30 04:04 - Robert Waltz

Status: Rejected Start date: 2012-06-30

Priority: Normal Due date: 2013-06-22

Assignee: Robert Waltz % Done: 0%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-1.4 Story Points:  

Product Version: *   

Description

If a lock is present on hzNodes, then updateNodeCapabilities blocks indefinitely.

change node locking to the same strategy used by log Aggregation.  Do not lock hzNodes directly.

Related issues:

Related to Infrastructure - Task #2606: updateNodeCapabilities soley dependen... Rejected 2012-04-13 2013-06-22

History

#1 - 2012-07-20 18:08 - Robert Waltz

- Milestone changed from None to CCI-1.0.3

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.29-Block.4.3

#2 - 2012-07-30 21:37 - Dave Vieglais

- Milestone changed from CCI-1.0.3 to CCI-1.0.4

#3 - 2012-08-15 16:24 - Robert Waltz

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.33-Block.5.1

#4 - 2012-08-29 17:54 - Robert Waltz

- Milestone changed from CCI-1.0.4 to CCI-1.0.5

- Target version changed from Sprint-2012.33-Block.5.1 to Sprint-2012.37-Block.5.3

#5 - 2012-09-18 17:49 - Robert Waltz

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4

#6 - 2012-09-26 16:55 - Robert Waltz

- Milestone changed from CCI-1.0.5 to CCI-1.1

#7 - 2012-10-08 16:49 - Robert Waltz

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2012-10-27

#8 - 2012-10-29 16:35 - Robert Waltz

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

- Due date changed from 2012-10-27 to 2012-11-10
#9 - 2012-12-04 14:02 - Robert Waltz

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

- Milestone changed from CCI-1.1 to CCI-1.1.1

- Due date changed from 2012-11-10 to 2013-01-05

#10 - 2013-01-15 20:13 - Robert Waltz

- Due date changed from 2013-01-05 to 2013-01-19

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#11 - 2013-01-15 20:16 - Robert Waltz

- Status changed from New to In Progress

#12 - 2013-03-01 19:16 - Robert Waltz

- Due date changed from 2013-01-19 to 2013-03-16

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#13 - 2013-06-05 04:53 - Robert Waltz

- Milestone changed from CCI-1.1.1 to CCI-1.1.2

- Due date changed from 2013-03-16 to 2013-06-22

- Target version changed from 2013.10-Block.2.1 to 2013.24-Block.3.4

#14 - 2013-08-02 17:25 - Robert Waltz

- Target version changed from 2013.24-Block.3.4 to 2013.33-Block.4.4

#15 - 2013-08-02 17:26 - Robert Waltz

- Parent task set to #3882

#16 - 2013-08-02 18:19 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#17 - 2013-08-02 18:21 - Robert Waltz

- Milestone changed from CCI-1.1.2 to CCI-1.3

- Estimated time set to 0.00

#18 - 2013-08-15 19:16 - Robert Waltz

- Target version changed from 2013.37-Block.5.2 to 2013.33-Block.4.4

#19 - 2013-10-28 21:10 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.46-Block.6.2

#20 - 2013-10-28 21:12 - Robert Waltz

- Milestone changed from CCI-1.3 to CCI-1.2

- Product Version set to 1.2.1

#21 - 2014-01-06 18:45 - Chris Jones

- Target version changed from 2013.46-Block.6.2 to 2014.8-Block.1.4

#22 - 2014-01-06 23:09 - Robert Waltz

- Target version changed from 2014.8-Block.1.4 to 2014.6-Block.1.3
#23 - 2014-03-14 18:17 - Robert Waltz

- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#24 - 2014-06-26 22:01 - Robert Waltz

- Target version changed from 2014.14-Block.2.3 to 2014.28-Block.4.2

#25 - 2014-07-29 19:52 - Robert Waltz

- Target version deleted (2014.28-Block.4.2)

#26 - 2014-07-29 19:52 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-1.4

- Product Version changed from 1.2.1 to *

#27 - 2014-10-01 19:33 - Robert Waltz

- Target version set to Maintenance Backlog

#28 - 2014-10-01 20:28 - Robert Waltz

- Target version changed from Maintenance Backlog to Release Backlog

#29 - 2014-10-02 20:02 - Robert Waltz

- Target version changed from Release Backlog to CCI-2.1.0

#30 - 2015-10-15 19:57 - Robert Waltz

- Status changed from In Progress to Rejected

hzNodes IMap has been factored out and replaced by an ITopic

Powered by TCPDF (www.tcpdf.org)

2024-04-23 3/3

http://www.tcpdf.org

